﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head>
        <link href="../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Creating Elasticsearch-based Analytics Controls (Version 2) using SQL Query</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Creating Elasticsearch-based Analytics Controls (Version 2) using SQL Query</h1>
        <p>You can create an SQL query if you wish to get a certain set of data from Saviynt&#160;database. This is the most powerful of all analytics configurations since it allows to retrieve data directly from the database.&#160;The ElasticSeach based SQL query once run, fetches the results and stores it from the SQL database to the Elasticsearch using Index. Once the data is available in the Elasticsearch after running the SQL query, you can create analytics control using Elasticsearch Query, which fetches the data from the available Elasticsearch Database.</p>
        <p>To create a new analytics control (V2) using SQL Query from IGA, perform the following steps:</p>
        <ol>
            <li>Select&#160;<strong>Analytics &gt; Analytics Configuration List.</strong></li>
            <li>
                <p>Select Version 2&#160;tab for creating elastic analytics control.</p>
            </li>
            <li>
                <p>Click <strong>Create New Analytics</strong>.</p>
            </li>
            <li>
                <p>Select Using SQL Query. The Create New Analytics Configuration page is displayed.</p>
                <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                    <p class="note">Before creating the analytics control, there is an option to <strong>Preview</strong> the control configuration, towards the end of the <strong>Create New Analytics Configuration </strong>page.</p>
                    <p class="note">Note the following points related to <strong>Preview</strong> and <strong>Create</strong> buttons:</p>
                    <p class="note">
                        <li>
                            <p>If the SQL query that you entered in the control configuration, returns more than or equal to ten records, then the analytics preview displays all the ten records. If the query returns less than ten records, the preview displays those many numbers of records.</p>
                        </li>
                        <li>
                            <p>The <strong>Preview</strong> button is enabled before you click the<strong> Create</strong> button. Once the analytics control is created, you cannot view the <strong>Preview</strong> button.</p>
                        </li>
                        <li>
                            <p>The <strong>Preview</strong> button is used to validate the correctness of the query syntax and to display the first 10 rows of the result data. This does not validate columns in the analytics query for the allowed action. An error message is displayed if the query syntax is incorrect. You can view the error details from the log files or by executing the same query directly in the database.</p>
                        </li>
                        <li>
                            <p>The <strong>Create</strong> button must be used as the final step in the creation of the analytics control. This validates the mandatory columns in the analytics query for the allowed action. You will be able to select the visible and filterable columns for the control and submit the control creation only if all validations are complete.</p>
                        </li>
                    </p>
                </div>
                <p>The following table provides information about the fields in&#160;<strong>Create New Analytics Configuration </strong>page.</p>
                <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                    <col style="width: 21.9925%;" class="TableStyle-Default-Table-Column-Column1" />
                    <col style="width: 77.9583%;" class="TableStyle-Default-Table-Column-Column1" />
                    <thead>
                        <tr class="TableStyle-Default-Table-Head-Header1">
                            <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Parameter</th>
                            <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Analytics Name<span style="color: rgb(255,0,0);">*</span></p>
                            </td>
                            <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Provide an analytic name.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Analytics Query</p>
                            </td>
                            <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <div class="content-wrapper">
                                    <p>Enter the analytic query in SQL, depending on the scenario for which the report is being created.</p>
                                    <p>The query permits only the special characters shown in the following figure:</p>
                                    <p>
                                        <img src="../Resources/Images/analytics query new.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
                                    </p>
                                    <p>Figure: Permitted Special Characters in Analytics Query</p>
                                    <div class="confluence-information-macro confluence-information-macro-note conf-macro output-block">
                                        <div class="confluence-information-macro-body">
                                            <p>As few columns are displayed twice because of the query and option to select the column, the following columns have been restricted for ES to be passed.&#160;</p>
                                            <ul>
                                                <li>status column</li>
                                                <li>comments column</li>
                                            </ul>
                                            <p>As a workaround, you can still pass status and column by specifying an alias for the preceding columns in the query, which will still create and run the control. It will display only 1 column as desired for the above columns.</p>
                                            <p> For example: </p>
                                            <MadCap:codeSnippet>
                                                <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
                                                <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
                                                <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">select status as accountstatus from accounts; </MadCap:codeSnippetBody>
                                            </MadCap:codeSnippet>
                                            <p>In the above example, accountstatus is an alias used to fetch status. You can use an alias other than status.</p>
                                            <MadCap:codeSnippet>
                                                <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
                                                <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
                                                <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">select comments as acccomments from accounts;   </MadCap:codeSnippetBody>
                                            </MadCap:codeSnippet>In the above example, acccomments is an alias used to fetch the value of the comments. You can use an alias other than comments.</div>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Description</p>
                            </td>
                            <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <div class="content-wrapper">
                                    <p>Description for the analytic query.</p>
                                    <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                        <ul>
                                            <li>
                                                <p class="note">By default IGA supports only 255 characters in the Description field.</p>
                                            </li>
                                            <li>
                                                <p>In case you want more than 255 characters in this field, change the description dataType to longText in the database table.</p>
                                            </li>
                                        </ul>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Category</p>
                            </td>
                            <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">The category into which the new analytic needs to be classified, it is a variable parameter and a new category can be created as required. Some of the default available categories are:</p>
                                <ul>
                                    <li><strong>Access Request System -&#160;</strong>analytic belonging to ARS</li>
                                    <li><strong>Preventive SOD check -</strong> analytic is for preventive SOD check</li>
                                    <li><strong>Information Refresh -&#160;</strong>analytic is for looking for stale information or refreshing the information</li>
                                    <li><strong>Non Person Accounts -</strong> analytic is for checking the non person accounts</li>
                                    <li><strong>Usage -</strong> analytic is for understanding the usage</li>
                                    <li><strong>Provisioning -</strong> analytic for keeping track of provisioning</li>
                                    <li><strong>De Provisioning -&#160;</strong>analytic for keeping track of de-provisioning</li>
                                    <li><strong>Certification -&#160;</strong>analytic for keeping track of certifications</li>
                                </ul>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Sub Category</p>
                            </td>
                            <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Select the sub category name.</p>
                                <p class="table-text">To create new sub category, select&#160;<strong>Create New</strong>. The&#160;<strong>Create Sub Category&#160;</strong>dialog box appears. Enter the sub category name and click&#160;<strong>Create</strong>.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">External Connection</p>
                            </td>
                            <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Name of the Connector, for which the report is being created.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Context</p>
                            </td>
                            <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">In ES based analytics, the controls are defined for the visibility of control data. There are two types of controls available for ES based controls:</p>
                                <ul>
                                    <li>User</li>
                                    <li>Inverse User</li>
                                    <li>Organization</li>
                                </ul>
                                <p class="table-text">For more <span class="inline-comment-marker">details</span> related to the control types, see&#160;Types of Elasticsearch Controls.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Status</p>
                            </td>
                            <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Status of&#160;the selected&#160;pre-configured query.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Owner</p>
                            </td>
                            <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">You can add owner for the selected&#160;pre-configured query.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Application</p>
                            </td>
                            <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Select the endpoint/application, for which the analytic is created.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Update User</p>
                            </td>
                            <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Describes the user name initiating the analytic query.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Update Date</p>
                            </td>
                            <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Describes the user name initiating the analytic query</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Risk<span style="color: rgb(255,0,0);">*</span></p>
                            </td>
                            <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Specify the level of risk involved in creating the analytic, possible values are:</p>
                                <ul>
                                    <li><strong>Low</strong>- involves less risk</li>
                                    <li><strong>Medium</strong>- medium risk involved</li>
                                    <li><strong>High</strong>- high risk involved</li>
                                </ul>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Tags</p>
                            </td>
                            <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Enter a tag name, for easy filtering of controls based on the tag name provided.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Email Template</p>
                            </td>
                            <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">The Email template being used, to send out analytics report to the user.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Number of History to Keep</p>
                            </td>
                            <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Enter the number of entries to be stored in the history for analysis in numerical format.</p>For example, If the count is 5, then on 6th run, run history details of the very first run will be deleted from Saviynt Security Manager. The value should always be greater than or equal to base count.</td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Enable Archival</p>
                            </td>
                            <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Select this option if the number of history to keep is more than 0. If selected, then the older&#160;control result will be archived in the archival folder before deleting it.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Recommendations</p>
                            </td>
                            <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Recommendations (if any) for the analytic created.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Base Count</p>
                            </td>
                            <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Enter the number of base count in numerical format.</p>For example, If the count is 5, it creates a full version on the very 1st run, runs 2-5 will have only incremental data. Creates a base version on every 5th run.</td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyB-Column1-Body1">
                                <p class="table-text">Allowed Action</p>
                            </td>
                            <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyA-Column1-Body1">
                                <div class="content-wrapper">
                                    <p>If you want to make a report as actionable, you can pre-select the actions that need to be taken on records displayed in the control report. For more information, see&#160;Allowed Actions Table.</p>
                                    <p>
                                        <img src="../Resources/Images/image2018-7-18_14-48-29.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;width: 700px;height: 300px;" />
                                    </p>
                                    <p>Figure: Action options in Analytics Control Report</p>
                                    <div class="confluence-information-macro confluence-information-macro-information conf-macro output-block">
                                        <div class="confluence-information-macro-body">
                                            <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                                <p class="note">If you want to edit the actions in this report, you can configure the settings from <strong>Admin &gt; Configurations &gt; Global Configurations &gt; Analytics &gt; Editable Actions</strong> field. For more information, see&#160;Analytics Global Configuration.</p>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </td>
                        </tr>
                    </tbody>
                </table>
                <div class="confluence-information-macro-body">
                    <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                        <p class="note">While creating an elastic analytics control, you can use the variable ${<a href="http://user.id" class="external-link" rel="nofollow">user.id</a>} which denotes the user context in the Analytics Query (SQL query condition).&#160;<br />For example, the following sample query uses the variable&#160;${<a href="http://user.id" class="external-link" rel="nofollow">user.id</a>} in the <strong>Analytics Query</strong> field to indicate the user context:</p>
                    </div>
                </div>
                <MadCap:codeSnippet>
                    <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
                    <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
                    <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">SELECT DISTINCT ep.DISPLAYNAME AS 'APPLICATION',CONCAT(u2.USERNAME,' ',u2.DISPLAYNAME,' ',u2.EMAIL) AS USER, a.name AS 'ACCOUNT NAME', et.ENTITLEMENTNAME AS 'ENTITLEMENT NAME',ev.DISPLAYNAME AS 'ENTITLEMENT DISPLAYNAME', ev.ENTITLEMENT_VALUE AS 'ENTITLEMENT VALUE' , concat('(',u.USERNAME,') ', u.displayname) as 'ENTITLEMENT OWNER(S)',ev.ENTITLEMENT_VALUEKEY AS entvaluekey,a.accountkey AS acctKey FROM endpoints ep join accounts a on a.endpointkey = ep.endpointkey join account_entitlements1 ae ON ae.accountkey = a.accountkey join entitlement_values ev on ev.entitlement_valuekey = ae.entitlement_valuekey JOIN user_accounts ua ON ua.ACCOUNTKEY = a.ACCOUNTKEY JOIN users u2 ON u2.USERKEY = ua.USERKEY JOIN entitlement_types et ON et.ENTITLEMENTTYPEKEY = ev.ENTITLEMENTTYPEKEY JOIN entitlement_owners eo ON eo.ENTITLEMENT_VALUEKEY = ev.ENTITLEMENT_VALUEKEY join users u on u.userkey = eo.userkey WHERE a.status IN (1 , 'Active', 'Manually Provisioned') and ev.status = 1 AND ep.endpointname = 'SOS Test' and u.userkey = ${user.id}    </MadCap:codeSnippetBody>
                </MadCap:codeSnippet>
                <div class="confluence-information-macro-body">
                    <p>You can either select the user context (from <strong>Context</strong> field) or use the variable in the <strong>Analytics Query</strong> field, and not both.</p>
                    <p>This implies that if you are using the variable in the <strong>Analytics Query</strong> field, you need to choose the&#160;<strong>Context</strong> field value as <strong>None, </strong>in order to successfully create the analytic control.&#160;</p>
                </div>
            </li>
            <li>Enter the parameters in the table, click <strong>Create</strong>.</li>
            <li>When you click <strong>Create </strong>or <strong>Update</strong> after entering all the required parameter details, an additional pop-up screen appears. You can check or clear the checkboxes&#160;to be displayed or to be filtered in the report.</li>
            <li>Depending on the SQL query, you can select the columns and type of fields to be displayed. Click <strong>Submit</strong></li>
            <li>The next screen provides you the details of analytics control for editing. Click <strong>Edit</strong></li>
            <li>For creating a similar analytics control report from an existing Analytic Configuration. Click <strong>Create Similar Analytics</strong>.</li>
            <li>
                <p>After the analytics is created, you can run the analytics control using the following options available under <strong>Run</strong>.</p>
                <ol>
                    <li><strong>Dry Run</strong> - The newly created/edited analytics will be run on a test basis, but the results are not stored in the run history</li>
                    <li><strong>Run Now</strong> -&#160;The newly created/edited analytics will be run and the results are stored under run history</li>
                    <li><strong>Run History</strong> - Displays the previously run analytics history and results from multiple runs can be compared</li>
                </ol>
            </li>
        </ol>
        <p>The analytics history can be viewed from the <strong>History&#160;</strong>tab. You can also delete an existing analytic from the screen. Click <strong>Delete</strong>.</p>
        <h4>De-provisioning</h4>
        <p>If you want to retrieve accounts that require de-provisioning, use <strong>Analytics Configuration List</strong>. It enables you to create a control with a query to obtain such accounts and assign "<strong>Deprovision Account</strong>" or "<strong>Deprovision Access</strong>" actions to them. This instructs the system to create <strong>Remove Account</strong> or <strong>Remove Access tasks</strong> to complete the process of deprovisioning after the specified number of days following the user termination have elapsed. To automate it, schedule the control execution from AnalyticsESJob or AnalyticsJOB and select the "Execute Default Action for Analytics" option in the job trigger.</p>
        <p>
            <img src="../Resources/Images/edit analytics config.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;width: 759px;height: 398px;" />
        </p>
        <p><![CDATA[
            ]]><br />Sample query :&#160;</p>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">select ev.entitlement_valuekey as entvaluekey, a.accountkey as acctKey, a.name as accName,&#160;u.userKey , 'deprovision' as 'Default_Action_For_Analytics'from entitlement_values ev, entitlement_types et, &#160;accounts a, user_accounts u where ev.entitlementtypekey=et.entitlementtypekey and&#160; a.accountkey in&#160; (select accountkey from accounts) and u.ACCOUNTKEY=a.ACCOUNTKEY;</MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">Refer to the document "Creating Analytics Using Elasticsearch Query" for further assistance.</p>
        </div>
    </body>
</html>